Think that you may need maven 3, as it is required by the trunk codes. While I would suggest to use those released tag, the trunk codes in Geronimo is under OSGi-related changes, and it depends on some snapshot from other projects, and those snapshot from Geronimo and other projects may not published on time.

2012/1/24 lichtin <lichtin@yahoo.com>
Hi
Following
https://cwiki.apache.org/GMOxDOC22/daytrader-a-more-complex-application.html
I'm trying to build the application. However, it fails at some point with
output:

$ mvn -e install
+ Error stacktraces are turned on.
[INFO] Scanning for projects...
[INFO] Reactor build order:
[INFO]   DayTrader :: Performance Benchmark Sample :: Java EE 6
[INFO]   Daytrader :: JAVA EE 6
[INFO]   DayTrader :: Java EE 6 :: Modules
[INFO]   DayTrader :: Java EE 6 :: Modules - Utils
[INFO]   DayTrader :: Java EE 6 :: Modules - Entities
[INFO]   DayTrader :: Java EE 6 :: Modules - Web
[INFO]   DayTrader :: Java EE 6 :: Assemblies
[INFO]   DayTrader :: Assemblies - Java EE 6 EAR
[INFO]   Daytrader plans
[INFO]   DayTrader :: Plugins
[INFO]   Daytrader :: Plugins :: Derby DataSource
[INFO]   Daytrader :: Plugins :: JavaEE JMS Resource
[INFO]
------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO]
------------------------------------------------------------------------
[INFO] Error building POM (may not be this project's POM).


Project ID: org.apache.geronimo.buildsupport:car-maven-plugin
POM Location: Artifact
[org.apache.geronimo.buildsupport:car-maven-plugin:pom:3.0-SNAPSHOT]
Validation Messages:

   [0]  'dependencies.dependency.version' is missing for
org.apache.karaf:org.apache.karaf.main:jar
   [1]  'dependencies.dependency.version' is missing for
org.apache.karaf.tooling:karaf-maven-plugin:jar


Reason: Failed to validate POM for project
org.apache.geronimo.buildsupport:car-maven-plugin at Artifact
[org.apache.geronimo.buildsupport:car-maven-plugin:pom:3.0-SNAPSHOT]


[INFO]
------------------------------------------------------------------------
[INFO] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Unable to build
project for plugin 'org.apache.geronimo.buildsupport:car-maven-plugin':
Failed to validate POM for project
org.apache.geronimo.buildsupport:car-maven-plugin a
t Artifact
[org.apache.geronimo.buildsupport:car-maven-plugin:pom:3.0-SNAPSHOT]
       at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.loadPluginFully(DefaultLifecycleExecutor.java:1599)
       at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.findArtifactTypeHandlersInPlugins(DefaultLifecycleExecutor.java:1468)
       at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.findExtensions(DefaultLifecycleExecutor.java:222)
       at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:178)
       at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
       at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
       at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
       at
org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
       at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
       at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
       at java.lang.reflect.Method.invoke(Method.java:597)
       at
org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
       at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
       at
org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
       at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: org.apache.maven.plugin.InvalidPluginException: Unable to build
project for plugin 'org.apache.geronimo.buildsupport:car-maven-plugin':
Failed to validate POM for project
org.apache.geronimo.buildsupport:car-maven-plugi
n at Artifact
[org.apache.geronimo.buildsupport:car-maven-plugin:pom:3.0-SNAPSHOT]
       at
org.apache.maven.plugin.DefaultPluginManager.checkRequiredMavenVersion(DefaultPluginManager.java:293)
       at
org.apache.maven.plugin.DefaultPluginManager.verifyVersionedPlugin(DefaultPluginManager.java:205)
       at
org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(DefaultPluginManager.java:184)
       at
org.apache.maven.plugin.DefaultPluginManager.loadPluginFully(DefaultPluginManager.java:1626)
       at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.loadPluginFully(DefaultLifecycleExecutor.java:1582)
       ... 15 more
Caused by: org.apache.maven.project.InvalidProjectModelException: Failed to
validate POM for project org.apache.geronimo.buildsupport:car-maven-plugin
at Artifact
[org.apache.geronimo.buildsupport:car-maven-plugin:pom:3.0-SNAPSHOT
]
       at
org.apache.maven.project.DefaultMavenProjectBuilder.processProjectLogic(DefaultMavenProjectBuilder.java:1077)
       at
org.apache.maven.project.DefaultMavenProjectBuilder.buildInternal(DefaultMavenProjectBuilder.java:880)
       at
org.apache.maven.project.DefaultMavenProjectBuilder.buildFromRepository(DefaultMavenProjectBuilder.java:255)
       at
org.apache.maven.plugin.DefaultPluginManager.checkRequiredMavenVersion(DefaultPluginManager.java:277)
       ... 19 more
[INFO]
------------------------------------------------------------------------
[INFO] Total time: 1 second
[INFO] Finished at: Tue Jan 24 11:45:31 CET 2012
[INFO] Final Memory: 8M/101M
[INFO]
------------------------------------------------------------------------


--
View this message in context: http://apache-geronimo.328035.n3.nabble.com/Daytrader-application-does-not-build-tp3684317p3684317.html
Sent from the Users mailing list archive at Nabble.com.



--
Ivan